# Uses of Class
org.apache.lucene.util.fst.FST.FSTMetadata

Packages that use FST.FSTMetadata
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of FST.FSTMetadata in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return FST.FSTMetadata
  Modifier and Type
  Method
  Description
  `FST.FSTMetadata<T>`
  FSTCompiler.`compile()`
  Returns the metadata of the final FST.
  `FST.FSTMetadata<T>`
  FST.`getMetadata()`
  `static <T> FST.FSTMetadata<T>`
  FST.`readMetadata(DataInput metaIn, Outputs<T> outputs)`
  Read the FST metadata from DataInput
  Methods in org.apache.lucene.util.fst with parameters of type FST.FSTMetadata
  Modifier and Type
  Method
  Description
  `static <T> FST<T>`
  FST.`fromFSTReader(FST.FSTMetadata<T> fstMetadata, FSTReader fstReader)`
  Create a FST from a `FSTReader`.
  Constructors in org.apache.lucene.util.fst with parameters of type FST.FSTMetadata
  Modifier
  Constructor
  Description
  ``
  `FST(FST.FSTMetadata<T> metadata, DataInput in)`
  Load a previously saved FST with a DataInput for metdata using an `OnHeapFSTStore` with maxBlockBits set to `FST.DEFAULT_MAX_BLOCK_BITS`
  ``
  `OffHeapFSTStore(IndexInput in, long offset, FST.FSTMetadata<?> metadata)`